Package ru.bitel.bgbilling.plugins.notification.common.bean

# Class ContractNotification

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.notification.common.bean.ContractNotification

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractNotification extends IdTitle
Уведомление в договоре (в личном кабинете).

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractNotification.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractNotification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractNotification.Builder`
  `builder()`
  `int`
  `getContractId()`
  `Date`
  `getDateTime()`
  `String`
  `getMessage()`
  `String`
  `getSubject()`
  `boolean`
  `isRead()`
  `ContractNotification`
  `setContractId(int contractId)`
  `ContractNotification`
  `setDateTime(Date dateTime)`
  `ContractNotification`
  `setMessage(String message)`
  `ContractNotification`
  `setRead(boolean isRead)`
  `ContractNotification`
  `setSubject(String subject)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractNotification

    public ContractNotification()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public ContractNotification setContractId(int contractId)

  - ### getSubject

    public String getSubject()

  - ### setSubject

    public ContractNotification setSubject(String subject)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public ContractNotification setMessage(String message)

  - ### getDateTime

    public Date getDateTime()

  - ### setDateTime

    public ContractNotification setDateTime(Date dateTime)

  - ### isRead

    public boolean isRead()

  - ### setRead

    public ContractNotification setRead(boolean isRead)

  - ### builder

    public static ContractNotification.Builder builder()